--       _________ __                 __                               
--      /   _____//  |_____________ _/  |______     ____  __ __  ______
--      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
--      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ \ 
--     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
--             \/                  \/          \//_____/            \/ 
--  ______________________                           ______________________
--                        T H E   W A R   B E G I N S
--         Stratagus - A free fantasy real time strategy game engine
--
--      anim.lua - The unit animation definitions.
--
--      (c) Copyright 2000-2004 by Josh Cogliati, Lutz Sammer,
--                                 and Jimmy Salmon
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--      $Id: anim.lua,v 1.2 2004/01/31 05:59:03 jsalmon3 Exp $

--------
--	Footman, Grunt, Grom Hellscream, Danath, Korgath Bladefist
DefineAnimations("animations-footman",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #16, P32
    { 0, 3,   2,   0}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   0}, { 0, 3,   2,   0}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   0}},
  "attack", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,  10,   0}, { 3, 0,   1,   0}},
  "die", {	-- #107
    { 0, 0,   3,  45}, { 0, 0,   3,  50}, { 0, 0, 100,  55}, { 3, 0,   1,  55}})

--------
--	Peasant, Peon, Peasant, Peon, Peasant, Peon, Peasant, Peon
DefineAnimations("animations-peasant",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #16, P32
    { 0, 3,   2,   0}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   0}, { 0, 3,   2,   0}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   0}},
  "attack", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,   3,  45}, { 0, 0,   7,  25}, { 3, 0,   1,  25}},
  "harvest", "wood", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,   3,  45}, { 0, 0,   7,  25}, { 3, 0,   1,  25}},
  "harvest", "gold", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,   3,  45}, { 0, 0,   7,  25}, { 3, 0,   1,  25}},
  "repair", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,   3,  45}, { 0, 0,   7,  25}, { 3, 0,   1,  25}},
  "die", {	-- #107
    { 0, 0,   3,  50}, { 0, 0,   3,  55}, { 0, 0, 100,  60}, { 3, 0,   1,  60}})

--------
--	Ballista
DefineAnimations("animations-ballista",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #32, P32
    { 0, 0,   1,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 0, 2,   2,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 0, 2,   2,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 0, 2,   2,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 3, 2,   1,   0}},
  "attack", {	-- #200
    { 0, 0,  25,  10}, {12, 0,  25,  15}, { 0, 0, 100,  15}, { 0, 0,  49,   0},
    { 3, 0,   1,   0}})

--------
--	Catapult
DefineAnimations("animations-catapult",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #32, P32
    { 0, 0,   1,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 0, 2,   2,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 0, 2,   2,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 0, 2,   2,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 3, 2,   1,   0}},
  "attack", {	-- #200
    {12, 0,   4,  15}, { 0, 0,   4,  10}, { 0, 0,   3,  15}, { 0, 0,   2,  10},
    { 0, 0,   2,  15}, { 0, 0,  30,  10}, { 0, 0,   4,  15}, { 0, 0, 100,  15},
    { 0, 0,  50,   0}, { 3, 0,   1,   0}})

--------
--	Knight, Paladin, Turalyon, Lothar, Uther Lightbringer
DefineAnimations("animations-knight",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #12, P32
    { 0, 3,   1,   0}, { 0, 3,   1,   5}, { 0, 4,   2,   5}, { 0, 3,   1,  10},
    { 0, 3,   1,  10}, { 0, 3,   1,  15}, { 0, 4,   2,  15}, { 0, 3,   1,  20},
    { 0, 3,   1,  20}, { 3, 3,   1,   0}},
  "attack", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,  10,   0}, { 3, 0,   1,   0}},
  "die", {	-- #507
    { 0, 0,   3,  45}, { 0, 0,   3,  50}, { 0, 0, 100,  55}, { 0, 0, 200,  60},
    { 0, 0, 200,  65}, { 3, 0,   1,  65}})

--------
--	Ogre, Ogre Mage, Dentarg, Cho'gall
DefineAnimations("animations-ogre",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #12, P32
    { 0, 3,   1,   0}, { 0, 3,   1,   5}, { 0, 3,   1,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   0}, { 0, 3,   1,   0}, { 0, 3,   1,  15},
    { 0, 3,   1,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   0}},
  "attack", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,  10,   0}, { 3, 0,   1,   0}},
  "die", {	-- #507
    { 0, 0,   3,  45}, { 0, 0,   3,  50}, { 0, 0, 100,  55}, { 0, 0, 200,  60},
    { 0, 0, 200,  65}, { 3, 0,   1,  65}})

--------
--	Archer, Ranger, Alleria
DefineAnimations("animations-archer",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #16, P32
    { 0, 3,   2,   0}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   0}, { 0, 3,   2,   0}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   0}},
  "attack", {	-- #65
    { 0, 0,  10,  25}, {12, 0,  10,  30}, { 0, 0,  44,   0}, { 3, 0,   1,   0}},
  "die", {	-- #107
    { 0, 0,   3,  35}, { 0, 0,   3,  40}, { 0, 0, 100,  45}, { 3, 0,   1,  45}})

--------
--	Troll Axethrower, Berserker, Zuljin
DefineAnimations("animations-axethrower",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #16, P32
    { 0, 3,   2,   0}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   0}, { 0, 3,   2,   0}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   0}},
  "attack", {	-- #65
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   3,  40},
    { 0, 0,  52,   0}, { 3, 0,   1,   0}},
  "die", {	-- #107
    { 0, 0,   3,  45}, { 0, 0,   3,  50}, { 0, 0, 100,  55}, { 3, 0,   1,  55}})

--------
--	Mage, Khadgar
DefineAnimations("animations-mage",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #18, P32
    { 0, 3,   2,   0}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   2,  10}, { 0, 2,   1,   0}, { 0, 3,   2,   0}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   2,  20}, { 3, 2,   1,   0}},
  "attack", {	-- #40
    { 0, 0,   5,  25}, { 0, 0,   5,  30}, {12, 0,   7,  35}, { 0, 0,   5,  40},
    { 0, 0,  17,   0}, { 3, 0,   1,   0}},
  "die", {	-- #36
    { 0, 0,   5,  45}, { 0, 0,   5,  50}, { 0, 0,   5,  55}, { 0, 0,   5,  60},
    { 0, 0,   5,  65}, { 0, 0,   5,  70}, { 0, 0,   5,  75}, { 3, 0,   1,  75}})

--------
--	Death Knight, Teron Gorefiend, Gul'dan
DefineAnimations("animations-death-knight",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #19, P32
    { 0, 3,   2,   0}, { 0, 3,   2,   5}, { 0, 4,   2,   5}, { 0, 3,   2,  10},
    { 0, 3,   2,  10}, { 0, 3,   2,  15}, { 0, 4,   2,  15}, { 0, 3,   2,  20},
    { 0, 3,   2,  20}, { 3, 3,   1,   0}},
  "attack", {	-- #40
    { 0, 0,   5,  25}, { 0, 0,   5,  30}, {12, 0,   7,  35}, { 0, 0,   5,  40},
    { 0, 0,  17,   0}, { 3, 0,   1,   0}},
  "die", {	-- #21
    { 0, 0,   5,  45}, { 0, 0,   5,  50}, { 0, 0,   5,  55}, { 0, 0,   5,  60},
    { 3, 0,   1,  60}})

--------
--	Dwarves
DefineAnimations("animations-dwarves",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #14, P32
    { 0, 3,   2,   0}, { 0, 3,   1,  10}, { 0, 4,   2,  10}, { 0, 3,   1,  25},
    { 0, 3,   2,  25}, { 0, 3,   1,  40}, { 0, 4,   2,  40}, { 0, 3,   1,  55},
    { 0, 3,   1,  55}, { 3, 3,   1,   0}},
  "attack", {	-- #25
    { 0, 0,   3,  15}, {12, 0,   5,  30}, { 0, 0,   3,  45}, { 0, 0,  13,   0},
    { 3, 0,   1,   0}},
  "die", {	-- #16
    { 0, 0,   3,   5}, { 0, 0,   3,  20}, { 0, 0,   3,  35}, { 0, 0,   3,  50},
    { 0, 0,   3,  60}, { 3, 0,   1,  60}})

--------
--	Goblin Sappers
DefineAnimations("animations-goblin-sappers",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #14, P32
    { 0, 3,   1,   0}, { 0, 3,   1,  10}, { 0, 2,   1,  10}, { 0, 3,   2,  25},
    { 0, 3,   1,  25}, { 0, 2,   1,  40}, { 0, 3,   1,  40}, { 0, 3,   1,  55},
    { 0, 2,   1,  55}, { 0, 3,   2,  65}, { 0, 3,   1,  65}, { 3, 2,   1,   0}},
  "attack", {	-- #25
    { 0, 0,   3,  15}, {12, 0,   5,  30}, { 0, 0,   3,  45}, { 0, 0,  13,   0},
    { 3, 0,   1,   0}},
  "die", {	-- #19
    { 0, 0,   3,   5}, { 0, 0,   3,  20}, { 0, 0,   3,  35}, { 0, 0,   3,  50},
    { 0, 0,   3,  60}, { 0, 0,   3,  70}, { 3, 0,   1,  70}})

--------
--	Kurdan and Sky'ree, Gryphon Rider
DefineAnimations("animations-kurdan-and-sky-ree",
  "still", {	-- #24
    { 2, 0,   6,   0}, { 2, 0,   6,   5}, { 2, 0,   6,  10}, { 3, 0,   6,  15}},
  "move", {	-- #12, P32
    { 0, 0,   1,   0}, { 0, 3,   1,   0}, { 0, 3,   1,   0}, { 0, 3,   1,   5},
    { 0, 2,   1,   5}, { 0, 3,   1,   5}, { 0, 3,   1,  10}, { 0, 3,   1,  10},
    { 0, 3,   1,  10}, { 0, 3,   1,  15}, { 0, 3,   1,  15}, { 3, 3,   1,   0}},
  "attack", {	-- #1
    { 0, 0,   6,   0}, { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15},
    { 2, 0,   1,  15}, { 0, 0,   6,  20}, { 0, 0,   6,  25}, {12, 0,   8,  30},
    { 0, 0,   6,   0}, { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15},
    { 0, 0,   6,   0}, { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15},
    { 0, 0,   6,   0}, { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15},
    { 0, 0,   6,   0}, { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15},
    { 0, 0,   6,   0}, { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15},
    { 0, 0,   6,   0}, { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15},
    { 1, 0,   1,   0}, { 0, 0,   6,   0}, { 0, 0,   6,   5}, { 0, 0,   6,  10},
    { 0, 0,   6,  15}, { 2, 0,   1,  15}, {12, 0,  20,  20}, { 0, 0,   6,   0},
    { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15}, { 0, 0,   6,   0},
    { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15}, { 0, 0,   6,   0},
    { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15}, { 0, 0,   6,   0},
    { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15}, { 0, 0,   6,   0},
    { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15}, { 0, 0,   6,   0},
    { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15}, { 1, 0,   1,   0},
    { 3, 0,   1,   0}},
  "die", {	-- #31
    { 0, 0,   5,  35}, { 0, 0,   5,  40}, { 0, 0,   5,  45}, { 0, 0,   5,  50},
    { 0, 0,   5,  55}, { 0, 0,   5,  60}, { 3, 0,   1,  60}})

--------
--	Oil tanker, Oil tanker, Oil tanker, Oil tanker
DefineAnimations("animations-human-oil-tanker",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #16, P32
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 3, 2,   1,   0}},
  "attack", {	-- #130
    {12, 0,  30,   0}, { 0, 0,  99,   0}, { 3, 0,   1,   0}},
  "die", {	-- #101
    { 0, 0,  50,   5}, { 0, 0,  50,  10}, { 3, 0,   1,  10}})

--------
--	Transport, Transport
DefineAnimations("animations-human-transport",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #16, P32
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 3, 2,   1,   0}},
  "attack", {	-- #120
    {12, 0, 119,   0}, { 3, 0,   1,   0}},
  "die", {	-- #101
    { 0, 0,  50,   5}, { 0, 0,  50,  10}, { 3, 0,   1,  10}})

--------
--	Elven Destroyer, Troll Destroyer
DefineAnimations("animations-elven-destroyer",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #16, P32
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 3, 2,   1,   0}},
  "attack", {	-- #120
    {12, 0, 119,   0}, { 3, 0,   1,   0}},
  "die", {	-- #101
    { 0, 0,  50,   5}, { 0, 0,  50,  10}, { 3, 0,   1,  10}})

--------
--	Battleship, Ogre Juggernaught
DefineAnimations("animations-battleship",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #26, P32
    { 0, 2,   2,   0}, { 0, 2,   2,   0}, { 0, 2,   1,   0}, { 0, 2,   2,   0},
    { 0, 2,   2,   0}, { 0, 2,   1,   0}, { 0, 2,   2,   0}, { 0, 2,   2,   0},
    { 0, 2,   1,   0}, { 0, 2,   2,   0}, { 0, 2,   2,   0}, { 0, 2,   1,   0},
    { 0, 2,   2,   0}, { 0, 2,   1,   0}, { 0, 2,   2,   0}, { 3, 2,   1,   0}},
  "attack", {	-- #230
    {12, 0, 127,   0}, { 0, 0, 102,   0}, { 3, 0,   1,   0}},
  "die", {	-- #101
    { 0, 0,  50,   5}, { 0, 0,  50,  10}, { 3, 0,   1,  10}})

--------
--	Deathwing, Dragon
DefineAnimations("animations-deathwing",
  "still", {	-- #24
    { 2, 0,   6,   0}, { 2, 0,   6,   5}, { 2, 0,   6,  10}, { 3, 0,   6,  15}},
  "move", {	-- #12, P32
    { 0, 0,   1,   0}, { 0, 3,   1,   0}, { 0, 3,   1,   0}, { 0, 3,   1,   5},
    { 0, 3,   1,   5}, { 0, 3,   1,   5}, { 0, 3,   1,  10}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 3,   1,  15}, { 0, 3,   1,  15}, { 3, 3,   1,   0}},
  "attack", {	-- #1
    { 0, 0,   6,   0}, { 0, 0,   6,   5}, { 0, 0,   6,  10}, { 0, 0,   6,  15},
    { 2, 0,   1,  15}, {12, 0,  20,  20}, { 0, 0,   6,   0}, { 0, 0,   6,   5},
    { 0, 0,   6,  10}, { 0, 0,   6,  15}, { 0, 0,   6,   0}, { 0, 0,   6,   5},
    { 0, 0,   6,  10}, { 0, 0,   6,  15}, { 0, 0,   6,   0}, { 0, 0,   6,   5},
    { 0, 0,   6,  10}, { 0, 0,   6,  15}, { 0, 0,   6,   0}, { 0, 0,   6,   5},
    { 0, 0,   6,  10}, { 0, 0,   6,  15}, { 0, 0,   6,   0}, { 0, 0,   6,   5},
    { 0, 0,   6,  10}, { 0, 0,   6,  15}, { 0, 0,   6,   0}, { 0, 0,   6,   5},
    { 0, 0,   6,  10}, { 0, 0,   6,  15}, { 1, 0,   1,   0}, { 3, 0,   1,   0}},
  "die", {	-- #26
    { 0, 0,   5,  25}, { 0, 0,   5,  30}, { 0, 0,   5,  35}, { 0, 0,   5,  40},
    { 0, 0,   5,  45}, { 3, 0,   1,  45}})

--------
--	Gnomish Submarine, Giant Turtle
DefineAnimations("animations-gnomish-submarine",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #21, P32
    { 0, 2,   2,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   2,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   2,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   2,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   2,   0}, { 3, 2,   1,   0}},
  "attack", {	-- #115
    { 0, 0,  10,   5}, { 0, 0,  25,  10}, {12, 0,  25,  10}, { 0, 0,  25,   5},
    { 0, 0,  29,   0}, { 3, 0,   1,   0}},
  "die", {	-- #1
    { 3, 0,   1,   0}})

--------
--	Gnomish Flying Machine
DefineAnimations("animations-gnomish-flying-machine",
  "still", {	-- #4
    { 2, 0,   1,   0}, { 2, 0,   1,   5}, { 2, 0,   1,   5}, { 3, 0,   1,   0}},
  "move", {	-- #10, P32
    { 0, 4,   1,   5}, { 0, 3,   1,   5}, { 0, 3,   1,   5}, { 0, 4,   1,   0},
    { 0, 3,   1,   0}, { 0, 3,   1,   5}, { 0, 4,   1,   5}, { 0, 3,   1,   5},
    { 0, 3,   1,   0}, { 3, 3,   1,   0}},
  "attack", {	-- #1
    { 3, 0,   1,   0}},
  "die", {	-- #1
    { 3, 0,   1,   0}})

--------
--	Goblin Zeppelin
DefineAnimations("animations-goblin-zeppelin",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #10, P32
    { 0, 4,   1,   0}, { 0, 3,   1,   0}, { 0, 3,   1,   0}, { 0, 3,   1,   0},
    { 0, 3,   1,   0}, { 0, 4,   1,   0}, { 0, 3,   1,   0}, { 0, 3,   1,   0},
    { 0, 3,   1,   0}, { 3, 3,   1,   0}},
  "attack", {	-- #1
    { 3, 0,   1,   0}})

--------
--	Eye of Kilrogg
DefineAnimations("animations-eye-of-vision",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #4, P32
    { 0, 8,   1,   0}, { 0, 8,   1,   0}, { 0, 8,   1,   0}, { 3, 8,   1,   0}},
  "attack", {	-- #1
    { 3, 0,   1,   0}})

--------
--	Skeleton
DefineAnimations("animations-skeleton",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #21, P32
    { 0, 3,   2,   0}, { 0, 3,   2,  10}, { 0, 3,   1,  10}, { 0, 2,   2,  25},
    { 0, 3,   3,  25}, { 0, 2,   1,   0}, { 0, 3,   2,   0}, { 0, 3,   2,  40},
    { 0, 3,   1,  40}, { 0, 2,   2,  55}, { 0, 3,   2,  55}, { 3, 2,   1,   0}},
  "attack", {	-- #35
    { 0, 0,   4,  15}, { 0, 0,   4,  30}, {12, 0,   4,  45}, { 0, 0,   4,  60},
    { 0, 0,  18,   0}, { 3, 0,   1,   0}},
  "die", {	-- #16
    { 0, 0,   3,   5}, { 0, 0,   3,  20}, { 0, 0,   3,  35}, { 0, 0,   3,  50},
    { 0, 0,   3,  65}, { 3, 0,   1,  65}})

--------
--	Daemon
DefineAnimations("animations-daemon",
  "still", {	-- #16
    { 2, 0,   4,   0}, { 2, 0,   4,   5}, { 2, 0,   4,  10}, { 3, 0,   4,  15}},
  "move", {	-- #12, P32
    { 0, 3,   1,   0}, { 0, 3,   1,   0}, { 0, 2,   1,   5}, { 0, 3,   1,   5},
    { 0, 2,   1,  10}, { 0, 3,   1,  10}, { 0, 3,   1,  10}, { 0, 2,   1,  15},
    { 0, 3,   1,  15}, { 0, 3,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   0}},
  "attack", {	-- #60
    { 0, 0,   4,   0}, { 0, 0,   4,   5}, { 0, 0,   4,  10}, { 0, 0,   4,  15},
    { 0, 0,   4,  20}, { 2, 0,   1,  20}, { 0, 0,   4,  25}, { 0, 0,   4,  30},
    { 0, 0,   4,  35}, {12, 0,   4,  40}, { 0, 0,   4,  45}, { 1, 0,   1,   0},
    {12, 0,  59,   0}, { 3, 0,   1,   0}},
  "die", {	-- #21
    { 0, 0,   5,  50}, { 0, 0,   5,  55}, { 0, 0,   5,  60}, { 0, 0,   5,  65},
    { 3, 0,   1,  65}})

--------
--	Critter
DefineAnimations("animations-critter",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #48, P32
    { 0, 2,   2,   0}, { 0, 2,   3,   0}, { 0, 2,   3,   0}, { 0, 2,   3,   0},
    { 0, 2,   3,   0}, { 0, 2,   3,   0}, { 0, 2,   3,   0}, { 0, 2,   3,   0},
    { 0, 2,   3,   0}, { 0, 2,   3,   0}, { 0, 2,   3,   0}, { 0, 2,   3,   0},
    { 0, 2,   3,   0}, { 0, 2,   3,   0}, { 0, 2,   3,   0}, { 0, 2,   3,   0},
    { 3, 0,   1,   0}},
  "attack", {	-- #1
    {11, 0,   1,   0}},
  "die", {	-- #201
    { 0, 0, 200,   5}, { 3, 0,   1,   5}})

--------
--	Farm, Pig Farm, Barracks, Barracks, Church, Altar of Storms,
--	Scout Tower, Scout Tower, Stables, Ogre Mound, Gnomish Inventor,
--	Goblin Alchemist, Gryphon Aviary, Dragon Roost, Shipyard, Shipyard,
--	Town Hall, Great Hall, Elven Lumber Mill, Troll Lumber Mill, Foundry,
--	Foundry, Mage Tower, Temple of the Damned, Blacksmith, Blacksmith,
--	Refinery, Refinery, Oil Platform, Oil Platform, Keep, Stronghold,
--	Castle, Fortress, Gold Mine, Oil Patch, Start Location, Start Location,
--	Circle of Power, Dark Portal, Runestone, Wall, Wall
DefineAnimations("animations-building",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}})

--------
--	Guard Tower, Guard Tower
DefineAnimations("animations-human-guard-tower",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "attack", {	-- #60
    {12, 0,  59,   0}, { 3, 0,   1,   0}})

--------
--	Cannon Tower, Cannon Tower
DefineAnimations("animations-human-cannon-tower",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "attack", {	-- #151
    {12, 0, 150,   0}, { 3, 0,   1,   0}})

--------
--	Dead Body
DefineAnimations("animations-dead-body",
  "die", {	-- #201
    --	Corpse:		Orcish
    { 0, 0, 200,   5}, {16, 0, 200,  10}, { 0, 0, 200,  15}, { 0, 0, 200,  20},
    { 0, 0, 200,  25}, { 3, 0,   1,  25},
    --	Corpse:		Human
    { 0, 0, 200,   0}, {16, 0, 200,  10}, { 0, 0, 200,  15}, { 0, 0, 200,  20},
    { 0, 0, 200,  25}, { 3, 0,   1,  25},
    --	Corpse:		Ships
    { 0, 0, 100,  30}, {16, 0, 100,  30}, { 3, 0,   1,  30}})

--------
--	Destroyed 1x1, Place, Destroyed 2x2, Place,
--	Destroyed 3x3, Place, Destroyed 4x4, Place
DefineAnimations("animations-destroyed-place",
  "die", {	-- #401
    --	Destroyed land site
    { 0, 0, 200,   0}, {16, 0, 200,   1}, { 3, 0,   1,   1},
    --	Destroyed water site
    { 0, 0, 200,   2}, {16, 0, 200,   3}, { 3, 0,   1,   3}})
